Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class ParameterValueType

    java.lang.Object
      org.deegree.graphics.sld.ParameterValueType

All Implemented Interfaces:
  Serializable, Marshallable

    public class ParameterValueType

extends Object
implements Serializable, Marshallable

Version:
  $Revision: 18332 $, $Revision: 18332 $
Author:
  Andreas Poth, last edited by: $Author: lbuesching $
See Also:
  Serialized Form

Constructor Summary
`ParameterValueType(Object[] components)` Constructs a new `ParameterValueType`.

Method Summary
`void` | `addComponent(Object component)` Concatenates a component (a`String` or an `Expression` -object) to this `ParameterValueType`.
`String` | `evaluate(Feature feature)` Returns the actual `String` value of this object.
`String` | `exportAsXML()` Exports the content of the ParameterValueType as an XML formatted String.
`Object[]` | `getComponents()` Returns the contents (mix of `String`/`Expression` -objects) of this `ParameterValueType`.
`PropertyName` | `getValueAsPropertyName()` Returns the value of the ParameterValueType as an `PropertyName`.
`void` | `removeComponent(Object component)` Removes a component (a`String` or an `Expression` -object) from this `ParameterValueType`.
`void` | `setComponents(Object[] components)` Sets the contents (mix of `String`/`Expression` -objects) of this `ParameterValueType`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterValueType

    public ParameterValueType(Object[] components)

  Constructs a new `ParameterValueType`.

  Parameters:
    `components` - `String`s/`Expression` s that make up the contents of the `ParameterValueType`

Method Detail

### getComponents

    public Object[] getComponents()

  Returns the contents (mix of `String`/`Expression` -objects) of this `ParameterValueType`.

  Returns:
    mix of `String`/`Expression` -objects

### setComponents

    public void setComponents(Object[] components)

  Sets the contents (mix of `String`/`Expression` -objects) of this `ParameterValueType`.

  Parameters:
    `components` - mix of `String` and `Expression` -objects

### addComponent

    public void addComponent(Object component)

  Concatenates a component (a`String` or an `Expression` -object) to this `ParameterValueType`.

  Parameters:
    `component` - either a `String` or an `Expression` -object

### removeComponent

    public void removeComponent(Object component)

  Removes a component (a`String` or an `Expression` -object) from this `ParameterValueType`.

  Parameters:
    `component` - either a `String` or an `Expression` -object

### getValueAsPropertyName

    public PropertyName getValueAsPropertyName()

  Returns the value of the ParameterValueType as an `PropertyName`.

  Returns:
    the value of the parameter as an `PropertyName`

### evaluate

    public String evaluate(Feature feature)
                    throws FilterEvaluationException

  Returns the actual `String` value of this object. Expressions are evaluated according to the given `Feature` -instance.

  Parameters:
    `feature` - used for the evaluation of the underlying 'wfs:Expression'-elements
  Returns:
    the (evaluated) String value
  Throws:
    `FilterEvaluationException` - if the evaluation fails

### exportAsXML

    public String exportAsXML()

  Exports the content of the ParameterValueType as an XML formatted String.

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the ParameterValueType

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org